It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
I just downloaded and installed Yitsi's 3.5d, however ingame it still shows 3.5c. I downloaded again and installed a second time, deleting the terrainx.exe file then placing the new version in but still the same thing. Has anyone else noticed this or do you get 3.5d in ingame info.
avatar
komati13: I just downloaded and installed Yitsi's 3.5d, however ingame it still shows 3.5c. I downloaded again and installed a second time, deleting the terrainx.exe file then placing the new version in but still the same thing. Has anyone else noticed this or do you get 3.5d in ingame info.
I'm having the same problem. I installed 3.5d, but in-game it says 3.5c. Also, I'm not seeing any resolution options at all. Anyone with any info on this please?

EDIT: So, I found that putting "DirectDraw=0" into the ini file, does change the resolution (to my desktop resolution I think) but the game crashes when I try to scroll the map...

EDIT 2: I tried installing PRACX.v1.07 too and the game still crashes when scrolling the map.

EDIT 3: Well, I ended installing the latest version of PRACX (v1.09). That version modifies the ini file for you to allow it to work. I then set the resolution to 1360x760 (for some reason it doesn't like 1366x768) and now everything runs fine.
Post edited July 29, 2017 by lukew
* Level 7 RESURRECTION *
avatar
caiman: For those of us knew to SMAC/X, could you advise which unofficial patches are pure bug-fix patches.
avatar
BlaneckW: Kyrub's patches don't add any features (besides bugfixes) to the game other than AI improvement. Yitzi has begun including bugfixes which I would consider to really be modifications but I don't personally consider the modification extensive at this point to be of worry for anyone who might not want modifications.

Scientt's patch is the only one that tried removing the unit limit, but you could probably install it if for some reason you don't want the AI improvements. Your game would only crash at 2000+ units on the map. Seeing as there were recently a lot of people using it, it's entirely possible you won't run into this.

I believe all of these patches are just EXE files. There aren't any installations.
If you want or don't mind AI improvements, and want bugfix SMAC, get Kyrubs patch.
If you do not wants AI improvements, Yitzi's SMAX patch is built on Kyrub's SMAX patch, which only has improvements to terraformer AI.

Scientt's foundational patch for SMAX, which all the others are built on, is outdated in bufixes and also has no AI improvements.
Has the GOG vanilla version been updated since Kyrub's fix (to include bugfixes)?

Is it still necessary to apply unofficial patches (for bugfixes)? I know SMAC works (I have completed it), but I have yet to beat SMAX; I don't want to install SMAC-only updates that will clobber the sequel.
Just tried to install Yitzi's on the GOG Mac version, and Alien Crossfire now crashes immediately. Do not recommend!

Kryub's AI patch for SMAC (not X) does seem to work. It is just an exe replacement.

Neither patch is necessary to enjoy the game, IMO, but PRACX is actually really good on LCD monitors. Would be nice to get it going on the Mac version or in WINE.
Post edited January 15, 2019 by LoneIgadzra
I believe Scient's 2.0 patch is the latest and greatest, is that correct?

Also, do I need PRACX (graphics mod) with Scient's patch? It doesn't seem to be included.
I might be a little bit biased, but check out Thinker AI improvement patch for SMACX. It includes Scient's v2.0 patch in addition to the most extensive AI improvement this game has ever had. Thinker AIs regularly achieve economic output that is vastly higher than what the standard AIs usually manage. It's still under development, but most of the main features have already been implemented.

You can also use Pracx with it, but it is by no means required. Also playing the smac-in-smacx mod works with this patch.